{% block body %}
	<tr id="CLAUSE{{ idClause }}" class="ligneModifClause">
		<td>
			<label>{{ idClause }}<span class="glyphicon glyphicon-search" style="right: 0%;top: 25%;"; onclick="ajaxPopup('{{ path('Ajax.liste.clausier') }}', '{{ 'Clausier' |trad }}', 'input_CLAUSE_CODE', 'input_clause_CONTMEMO' , '')"></span></label>
    		<input type="hidden" id="clause_NO_ORDRE" name="clause_NO_ORDRE" value="{{ idClause }}"/>
		</td>
		<td colspan="3">		
			{{ inputAdvance('textArea', {
    			'name' : 'clause_CONTMEMO',
    			'value' : clause.CONTMEMO,
    			'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
    			'paramsValidator' : "{'nomChamp' : '"~ 'Clause' | trad ~"', 'sizeMin' : '0', 'sizeMax' : '3000'}",
    		}) }}
    		{% if idCommande %}
        		<div class="button_right full validation_modal">
            		<button type='button' class="button principal button_right" onClick="validationClause('{{ path('Commande.ModificationClause.validationClause', {idCommande:idCommande}) }}', '{{ idClause }}');">{{ 'Enregistrer' | trad }}</button>
            		<button type='button' class="button secondaire button_right" onClick="annulationClause('{{ path('Commande.ModificationClause.annulationClauseCommande', {idCommande:idCommande}) }}')">{{ 'Annuler' | trad }}</button>
        		</div>
    		{% endif %}
    	<script>
			function annulationClause(path)
			{
				var confirmation = confirm("{{ 'Êtes-vous sûr de vouloir annuler votre saisie ?' |trad }}");

				if(confirmation)
				{
					activeLoader();
    				$.ajax({
    				  	dataType : 'html',
    					url: path,
    					data: $('#form_creationCde').serialize(),
    					type: "POST",
    					success: function(result){
    			
    						$('#CLAUSE{{idClause}}JS').after(result);
    						
            				$('#CLAUSE{{idClause}}').remove();
            				$('#CLAUSE{{idClause}}JS').remove();
            				desactiveLoader();
    					}
    				});
				}
			}
		</script>
    		
		</td>	
	</tr>
{% endblock %}